"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const defaultMatcher = (ctx) => true;
class FrameworkController {
    constructor(controllerDetails) {
        this.controller = controllerDetails.ctrl;
        this.id = controllerDetails.name;
        this.priority = controllerDetails.priority || 0;
        this.matcher = controllerDetails.matcher || defaultMatcher;
    }
    equals(other) {
        return (other instanceof FrameworkController && other.id === this.id && other.matcher === this.matcher);
    }
}
exports.default = FrameworkController;
//# sourceMappingURL=frameworkcontroller.js.map