"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const controllerparamtype_1 = __importDefault(require("../../enums/controllerparamtype"));
const applysingledecorator_1 = __importDefault(require("./applysingledecorator"));
const paramDecorator = (decoratorFactory) => {
    return function customParamDecorator(target, propertyKey, parameterIndex) {
        return applysingledecorator_1.default(target, propertyKey, parameterIndex, false, controllerparamtype_1.default.CustomParamDecorator, decoratorFactory);
    };
};
function makeParamDecorator(f) {
    if (f) {
        return paramDecorator(f);
    }
    return (factory) => paramDecorator(factory);
}
exports.default = makeParamDecorator;
//# sourceMappingURL=makeparamdecorator.js.map