"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorCategory = exports.ErrorType = void 0;
var ErrorType;
(function (ErrorType) {
    ErrorType[ErrorType["InputValidation"] = 3001] = "InputValidation";
    ErrorType[ErrorType["TypeValidation"] = 3002] = "TypeValidation";
    ErrorType[ErrorType["SystemError"] = 3003] = "SystemError";
    ErrorType[ErrorType["SchemaValidation"] = 3004] = "SchemaValidation";
    ErrorType[ErrorType["AppError"] = 3005] = "AppError";
    ErrorType[ErrorType["AppTimeout"] = 3006] = "AppTimeout";
    ErrorType[ErrorType["AuthenticationError"] = 3007] = "AuthenticationError";
    ErrorType[ErrorType["AuthorizationError"] = 3008] = "AuthorizationError";
    ErrorType[ErrorType["HttpRequestError"] = 3009] = "HttpRequestError";
    ErrorType[ErrorType["HttpResponseError"] = 3010] = "HttpResponseError";
})(ErrorType = exports.ErrorType || (exports.ErrorType = {}));
var ErrorCategory;
(function (ErrorCategory) {
    ErrorCategory[ErrorCategory["SystemError"] = 4001] = "SystemError";
    ErrorCategory[ErrorCategory["ApplicationError"] = 4002] = "ApplicationError";
})(ErrorCategory = exports.ErrorCategory || (exports.ErrorCategory = {}));
//# sourceMappingURL=errors.js.map