"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const debug = require('debug')('bind:rest:middleware');
const TAG = 'CONTROLLER-ARGUMENTS-FACTORY';
function controllerArgumentsFactory(paramsMap) {
    return function argumentsFactory(ctx) {
        debug('%s arguments to be generated', TAG);
        ctx.controllerArguments = paramsMap.map((f) => f(ctx));
        debug('%s args generated', TAG);
        debug('%s created Arguments: %j', TAG, ctx.controllerArguments);
        return Promise.resolve(ctx);
    };
}
exports.default = controllerArgumentsFactory;
//# sourceMappingURL=controllerargs.js.map