"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const isstringnumberboolean_1 = __importDefault(require("../isstringnumberboolean"));
describe('Test of isStringOrNumberOrBoolean', () => {
    test('should return true in param is string', () => {
        const res = isstringnumberboolean_1.default('test');
        expect(res).toEqual(true);
    });
    test('should return true in param is number', () => {
        const res = isstringnumberboolean_1.default(3);
        expect(res).toEqual(true);
    });
    test('should return true in param is boolean', () => {
        const res = isstringnumberboolean_1.default(false);
        expect(res).toEqual(true);
    });
    test('should return true in param is String object', () => {
        const res = isstringnumberboolean_1.default(String('test'));
        expect(res).toEqual(true);
    });
    test('should return false in param is array', () => {
        const res = isstringnumberboolean_1.default(['test']);
        expect(res).toEqual(false);
    });
    test('should return true in param is object', () => {
        const res = isstringnumberboolean_1.default({ test: 1 });
        expect(res).toEqual(false);
    });
    test('should return true in param is Promise', () => {
        const res = isstringnumberboolean_1.default(Promise.resolve(true));
        expect(res).toEqual(false);
    });
});
//# sourceMappingURL=isstringnumberboolean.test.js.map