"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const application_1 = require("../../lib/core/application");
const path = __importStar(require("path"));
const http = __importStar(require("http"));
const app = new application_1.Application({ validation: { jsonSchema: true },
    envOverrideVar: 'NODE_ENV',
    timeout: 1200,
    componentDirs: [path.join(__dirname, 'components')] });
console.log('Application loaded');
console.log(app.toString());
const PORT = 8099;
process.stdout.write('STARTING APPLICATION. Please wait while application initializes');
app
    .init()
    .then((handler) => {
    const store = app.container;
    http.createServer(app.handleRequest.bind(app)).listen(PORT);
    process.stdout.write(`Server running on port ${PORT}`);
})
    .catch((e) => {
    process.stderr.write(`Container init failed ${e}`);
    process.exit(1);
});
//# sourceMappingURL=app.js.map