"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Greeter = void 0;
const core_1 = require("../../../lib/core");
const decorators_1 = require("../../../lib/decorators");
const controller_1 = require("../../../lib/decorators/controller");
const decorators_2 = require("../../../lib/decorators");
const mw1_1 = require("./mw1");
let Greeter = class Greeter {
    greet(mymethod, name) {
        return __awaiter(this, void 0, void 0, function* () {
            return new core_1.AppResponse(`Greetings ${name} with method="${mymethod}" `);
        });
    }
    hello() {
        return __awaiter(this, void 0, void 0, function* () {
            return new core_1.AppResponse('HELLO');
        });
    }
};
__decorate([
    decorators_2.GET('/news'),
    decorators_1.Middlewares(mw1_1.MW1),
    __param(0, controller_1.RequestMethod), __param(0, controller_1.Required),
    __param(1, controller_1.QueryParam), __param(1, controller_1.Required),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Array]),
    __metadata("design:returntype", Promise)
], Greeter.prototype, "greet", null);
__decorate([
    decorators_2.GET,
    decorators_2.POST,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Greeter.prototype, "hello", null);
Greeter = __decorate([
    controller_1.Controller,
    controller_1.Path('/baz')
], Greeter);
exports.Greeter = Greeter;
//# sourceMappingURL=greeter.js.map