"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const greeter_1 = require("./components/greeter");
const lib_1 = require("../../lib");
const bind_di_1 = require("bind-di");
const bind_di_2 = require("bind-di");
const ctrlId = Reflect.getMetadata(bind_di_1.COMPONENT_IDENTITY, greeter_1.Greeter);
const ctrlMetaData = Reflect.getMetadata(bind_di_1.COMPONENT_META_DATA, greeter_1.Greeter);
const o = greeter_1.Greeter.prototype;
const props = Object.getOwnPropertyNames(greeter_1.Greeter.prototype);
console.dir(props);
const myMethods = props.map(p => {
    const metaMethods = Reflect.getMetadata(lib_1.SYM_REQUEST_METHOD, o, p);
    const metaPath = Reflect.getMetadata(lib_1.SYM_REQUEST_PATH, o, p);
    return { p, metaMethods, metaPath };
});
console.log(`controller ID= ${bind_di_2.stringifyIdentity(ctrlId)}`);
console.log(`controller metaData=${JSON.stringify(ctrlMetaData)}`);
console.dir(myMethods);
//# sourceMappingURL=index.js.map