"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lib_1 = require("../lib");
const url_1 = __importDefault(require("url"));
const decompressresponse_1 = __importDefault(require("../lib/httpresponse/decompressresponse"));
const URI = url_1.default.parse('https://github.com/sindresorhus/decompress-response/blob/master/index.js');
const options = {
    requestOptions: {
        headers: { 'Accept-Encoding': 'gzip, compress' },
        hostname: URI.hostname,
        method: 'GET',
        path: URI.path,
        port: URI.port || '',
        protocol: URI.protocol,
    },
    disableCertificateValidation: true,
};
let res = lib_1.makeRequest(options)
    .then((resp) => {
    console.dir('origina response headers');
    console.dir(resp.headers);
    return resp;
})
    .then(decompressresponse_1.default)
    .then((resp) => {
    console.log('DECOMPRESSED HEADERS');
    console.dir(resp.headers);
});
//# sourceMappingURL=decomp.js.map