"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const lib_1 = require("../lib");
const bind_di_1 = require("bind-di");
function MyController(target) {
    bind_di_1.Component(target);
    const metaData = Reflect.getMetadata(bind_di_1.COMPONENT_META_DATA, target) || {};
    metaData[lib_1.IS_CONTROLLER] = true;
    bind_di_1.defineMetadata(bind_di_1.COMPONENT_META_DATA, metaData, target)();
    bind_di_1.defineMetadata(bind_di_1.DEFAULT_SCOPE, bind_di_1.ComponentScope.NEWINSTANCE, target)();
}
exports.default = MyController;
class Welcome {
    greet(name) {
        return __awaiter(this, void 0, void 0, function* () {
            return new lib_1.AppResponse(`Hello ${name}`);
        });
    }
}
//# sourceMappingURL=ifctrc.js.map