"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const context_1 = __importDefault(require("../components/context"));
const bind_di_1 = require("bind-di");
class Subcontext extends context_1.default {
    welcome() {
        return 'I am subcontext';
    }
}
const myContext = new context_1.default();
const obj = new Subcontext();
const ctxIdent = bind_di_1.getComponentIdentity(myContext);
const ident = bind_di_1.getComponentIdentity(obj);
console.log(ctxIdent);
console.log(ident);
const isCtxSame = bind_di_1.isSameIdentity(bind_di_1.getComponentIdentity(context_1.default), context_1.default.id);
const isSame = bind_di_1.isSameIdentity(bind_di_1.getComponentIdentity(Subcontext), context_1.default.id);
console.log('Subcomponent identity same as context=', isSame);
console.log('Context obj identity same as context=', isCtxSame);
//# sourceMappingURL=subcontext.js.map