/// <reference types="node" />
import { IAppResponseWithBody } from '../../interfaces';
import { IResponseHeaders } from '../../types/responseheaders';
import { IResponseCookieValue } from '../../interfaces/responsecookie';
export default class AppResponse implements IAppResponseWithBody {
    body: string;
    statusCode: number;
    headers: IResponseHeaders;
    cookies: NodeJS.Dict<IResponseCookieValue>;
    constructor(body?: string, statusCode?: number, headers?: IResponseHeaders, cookies?: NodeJS.Dict<IResponseCookieValue>);
    getReadStream(): NodeJS.ReadableStream;
}
