/// <reference types="node" />
import HttpResponseCode from 'http-status-enum';
import { IResponseHeaders } from '../../types';
import AppResponse from './appresponse';
import { IResponseCookieValue } from '../../interfaces/responsecookie';
export default class ErrorResponse extends AppResponse {
    constructor(responseCode: HttpResponseCode, message?: string, headers?: IResponseHeaders, cookies?: NodeJS.Dict<IResponseCookieValue>);
}
