import 'reflect-metadata';
import { Target } from 'bind-di';
import ControllerParamType from '../../enums/controllerparamtype';
export declare type ParamDecoratorFunction = (target: Target, propertyKey: string, parameterIndex: number) => void;
export declare const doParamAnnotation: (name: string, paramType: ControllerParamType) => ParamDecoratorFunction;
export declare const delegateParamAnnotation: (target: Target | string) => (paramType: ControllerParamType) => (propertyKey: string, parameterIndex: number) => ParamDecoratorFunction | undefined;
export declare function PathParam(name: string): any;
export declare function PathParam(target: Target, propertyKey: string, parameterIndex: number): any;
export declare function QueryParam(name: string): any;
export declare function QueryParam(target: Target, propertyKey: string, parameterIndex: number): any;
export declare function HeaderParam(name: string): any;
export declare function HeaderParam(target: Target, propertyKey: string, parameterIndex: number): any;
export declare function CookieParam(name: string): any;
export declare function CookieParam(target: Target, propertyKey: string, parameterIndex: number): any;
export declare function ContextParam(name: string): any;
export declare function ContextParam(target: Target, propertyKey: string, parameterIndex: number): any;
