import 'reflect-metadata';
import { Constructor } from 'bind-di';
import { IMiddleware } from '../interfaces/middleware';
export declare type NumberOrMiddleware = number | Constructor<IMiddleware>;
export declare function decorateMiddleware(target: Constructor<IMiddleware>, priority: number, decoratorName?: string): void;
export declare function Middleware(constructor: Constructor<IMiddleware>): any;
export declare function Middleware(priority: number): any;
export declare function Afterware(priority: number): (constructor: Constructor<IMiddleware>) => void;
export declare function AfterResponse(priority: number): (constructor: Constructor<IMiddleware>) => void;
