import 'reflect-metadata';
import { ClassOrMethodDecorator, Constructor } from 'bind-di';
import { IMiddleware } from '../interfaces';
import { ControllerFunc, IMiddlewareFactory } from '../types';
export declare const toMWFactory: (middleware: Constructor<IMiddleware>) => IMiddlewareFactory;
export declare const toMWFuncFactory: (arr: Array<IMiddlewareFactory>) => IMiddlewareFactory;
export declare function Middlewares(...middlewares: Array<Constructor<IMiddleware>>): ClassOrMethodDecorator<ControllerFunc>;
