export declare enum ErrorType {
    InputValidation = 3001,
    TypeValidation = 3002,
    SystemError = 3003,
    SchemaValidation = 3004,
    AppError = 3005,
    AppTimeout = 3006,
    AuthenticationError = 3007,
    AuthorizationError = 3008,
    HttpRequestError = 3009,
    HttpResponseError = 3010
}
export declare enum ErrorCategory {
    SystemError = 4001,
    ApplicationError = 4002
}
