/// <reference types="node" />
import http from 'http';
import HTTP_STATUS_CODES from 'http-status-enum';
import { IResponseHeaders } from '../types';
import { IHttpIncomingMessageResponse } from '../interfaces/httpclientreponse';
export default class IncomingMessageResponse implements IHttpIncomingMessageResponse {
    private im;
    readonly requestID: string;
    constructor(im: http.IncomingMessage, requestID?: string);
    getReadStream(): http.IncomingMessage;
    get headers(): IResponseHeaders;
    get statusCode(): HTTP_STATUS_CODES;
}
