/// <reference types="node" />
import { IHttpClientResponse } from '../interfaces/httpclientreponse';
export default class HttpResponse implements IHttpClientResponse {
    statusCode: number;
    headers: {
        [key: string]: any;
    };
    private rs;
    readonly requestID: string;
    constructor(statusCode: number, headers: {
        [key: string]: any;
    }, rs: NodeJS.ReadableStream, requestID?: string);
    getReadStream(): NodeJS.ReadableStream;
}
