export interface IResponseCookieOptions {
    maxAge?: number;
    expires?: Date;
    path?: string;
    domain?: string;
    secure?: boolean;
    httpOnly?: boolean;
    signed?: boolean;
    overwrite?: boolean;
}
export interface IResponseCookieValue {
    value: string;
    options?: IResponseCookieOptions;
}
export interface IResponseCookie extends IResponseCookieValue {
    name: string;
}
