import { IfIocContainer, Maybe } from 'bind-di';
import { IBindRestContext } from '../interfaces/icontext';
export declare type IntoPromise<T> = (val: T) => Promise<T>;
export declare type AsyncParamValidator = (param: any) => Maybe<Error> | Promise<Maybe<Error>>;
export declare type AsyncContextParamValidator = (ctx: IBindRestContext) => AsyncParamValidator;
export declare type AsyncValidator = (c: IfIocContainer) => AsyncContextParamValidator;
export declare type ParamValidator = (param: any) => Maybe<Error>;
