"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const string_to_stream_1 = __importDefault(require("string-to-stream"));
const consts_1 = require("../../consts");
const DEFAULT_CONTENT_TYPE = 'text/plain';
const DEFAULT_STATUS_CODE = 200;
class AppResponse {
    constructor(body = '', statusCode = DEFAULT_STATUS_CODE, headers = { [consts_1.HEADER_NAMES.CONTENT_TYPE]: DEFAULT_CONTENT_TYPE }, cookies = {}) {
        this.body = body;
        this.statusCode = statusCode;
        this.headers = headers;
        this.cookies = cookies;
    }
    getReadStream() {
        return string_to_stream_1.default(this.body);
    }
}
exports.default = AppResponse;
//# sourceMappingURL=appresponse.js.map