"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const appresponse_1 = __importDefault(require("./appresponse"));
const consts_1 = require("../../consts");
class RedirectResponse extends appresponse_1.default {
    constructor(redirectUrl, responseCode = 301) {
        super('', responseCode, { [consts_1.HEADER_NAMES.REDIRECT]: redirectUrl });
        this.redirectUrl = redirectUrl;
    }
}
exports.default = RedirectResponse;
//# sourceMappingURL=redirectresponse.js.map