"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bindrest_1 = __importDefault(require("../bindrest"));
const enums_1 = require("../../enums");
class HttpResponseError extends bindrest_1.default {
    constructor(message, statusCode, headers, options, innerError) {
        super(message, enums_1.ErrorType.HttpResponseError, innerError);
        this.statusCode = statusCode;
        this.headers = headers;
        this.options = options;
    }
}
exports.default = HttpResponseError;
//# sourceMappingURL=responseerror.js.map