"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../../enums/errors");
const bindrest_1 = __importDefault(require("../bindrest"));
class InputValidationError extends bindrest_1.default {
    constructor(message, innerError) {
        super(message, errors_1.ErrorType.InputValidation, innerError);
    }
}
exports.default = InputValidationError;
//# sourceMappingURL=inputvalidationerror.js.map