"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function requestLogger(logger, headers) {
    const reqLogger = {
        info(...messages) {
            logger.info(...messages, headers);
            return this;
        },
        error(...messages) {
            logger.error(...messages, headers);
            return this;
        },
        warn(...messages) {
            logger.warn(...messages, headers);
            return this;
        },
        debug(...messages) {
            logger.debug(...messages, headers);
            return this;
        },
        fatal(...messages) {
            logger.fatal(...messages, headers);
            return this;
        },
    };
    return reqLogger;
}
exports.default = requestLogger;
//# sourceMappingURL=requetlogger.js.map