"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAppResponseWithBody = void 0;
const appcomponents_1 = require("../consts/appcomponents");
const debug = require('debug')('bind:rest:runtime:application');
const TAG = 'APP_RESPONSE';
function isAppResponseWithBody(appResponse) {
    const hasBodyFlag = Reflect.has(appResponse, appcomponents_1.SYM_HAS_BODY);
    const ret = hasBodyFlag || appResponse.body !== undefined;
    debug('%s returning from isAppResponseWithBody=%s hasBodyFlag=%s', TAG, ret, hasBodyFlag);
    return ret;
}
exports.isAppResponseWithBody = isAppResponseWithBody;
//# sourceMappingURL=appresponse.js.map