"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const debug = require('debug')('bind:rest:util');
function copyHeaders(headers, dropHeaders = []) {
    const res = {};
    debug('Entered copyHeaders with: %o', headers);
    dropHeaders.push('host');
    let keys = Object.keys(headers);
    keys = keys.filter((k) => !dropHeaders.includes(k));
    for (const k of keys) {
        res[k] = headers[k];
    }
    debug('Copied headers: ', res);
    return res;
}
exports.default = copyHeaders;
//# sourceMappingURL=copyheaders.js.map