"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const metaprops_1 = require("../decorators/metaprops");
function getControllerComponents(container) {
    return container.components.filter((comp) => {
        return comp.componentMetaData !== undefined && comp.componentMetaData[metaprops_1.IS_CONTROLLER] === true;
    });
}
exports.default = getControllerComponents;
//# sourceMappingURL=getcontrollercomponents.js.map