"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const systemerror_1 = __importDefault(require("../errors/systemerror"));
function rejectLater(milliseconds) {
    return new Promise((_, reject) => {
        setTimeout(() => reject(new systemerror_1.default(`method timed out after ${milliseconds} milliseconds`)), milliseconds);
    });
}
exports.default = rejectLater;
//# sourceMappingURL=rejectlater.js.map