"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MyLogger = void 0;
const bind_di_1 = require("bind-di");
const settings_1 = require("./settings");
let MyLogger = class MyLogger {
    constructor() {
        this.postfix = 'OK';
    }
    log(message) {
        console.log(`${this.settings.prefix} ${message} ${this.postfix}`);
    }
};
__decorate([
    bind_di_1.Inject,
    __metadata("design:type", settings_1.Settings)
], MyLogger.prototype, "settings", void 0);
MyLogger = __decorate([
    bind_di_1.Component,
    bind_di_1.EnvOverride,
    bind_di_1.Component
], MyLogger);
exports.MyLogger = MyLogger;
//# sourceMappingURL=mylogger.js.map