"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsonpath_1 = require("jsonpath");
const obj = {
    "locations": [
        { "name": "Seattle", "state": "WA" },
        { "name": "New York", "state": "NY" },
        { "name": "Bellevue", "state": "WA" },
        { "name": "Olympia", "state": "WA" }
    ]
};
const obj2 = {
    "name": [
        "Dmitri",
        "bob",
        "REX"
    ],
    "item": "foo99",
    "x": {
        "pathParams": [
            {
                "paramName": "item",
                "paramValue": "foo99"
            }
        ]
    }
};
try {
    const path = `$..pathParams[?@.paramName == 'item')].paramValue`;
    jsonpath_1.parse(path);
}
catch (e) {
    console.dir(e);
}
//# sourceMappingURL=query1.js.map