/// <reference types="node" />
import HttpResponseCode from 'http-status-enum';
import { IResponseHeaders } from '../../types/responseheaders';
import { IResponseCookieValue } from '../../interfaces/responsecookie';
import { IAppResponse } from '../../interfaces';
export default class StreamResponse implements IAppResponse {
    private rs;
    statusCode: HttpResponseCode;
    headers: IResponseHeaders;
    cookies: NodeJS.Dict<IResponseCookieValue>;
    constructor(rs: NodeJS.ReadableStream, statusCode?: HttpResponseCode, headers?: IResponseHeaders, cookies?: NodeJS.Dict<IResponseCookieValue>);
    getReadStream(): NodeJS.ReadableStream;
}
