/// <reference types="node" />
import { Maybe } from 'bind-di';
import { IAppResponse, IBindRestContext, IServerResponse } from '../../interfaces';
import { IResponseHeaders } from '../../types/responseheaders';
declare const toStringCookies: (appResponse: IAppResponse) => Maybe<string[]>;
declare const filterStringOnlyHeaders: (headers: IResponseHeaders) => NodeJS.Dict<string>;
declare const getResponseFromContext: (context: IBindRestContext) => IServerResponse;
export { toStringCookies, getResponseFromContext, filterStringOnlyHeaders };
