import { IControllerContainer } from 'holiday-router';
import { IControllerMatcher } from '../types/controllermatcher';
import { IControllerDetails } from '../interfaces';
import { IController } from '../types/controllers';
export default class FrameworkController implements IControllerContainer {
    readonly controller: IController;
    readonly id: string;
    readonly priority: number;
    readonly matcher: IControllerMatcher;
    constructor(controllerDetails: IControllerDetails);
    equals(other: IControllerContainer): any;
}
