import { IfIocContainer, ClassOrMethodDecorator } from 'bind-di';
import { MiddlewareFunc } from './middlewarefunc';
import { ControllerFunc } from './controllers';
export declare type IMiddlewareFactory = (container: IfIocContainer) => MiddlewareFunc;
export declare type IMethodDecoratorFactory = (f: IMiddlewareFactory) => ClassOrMethodDecorator<ControllerFunc>;
